aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-11-02 10:09:49 +0100
committerSören Tempel <soeren+git@soeren-tempel.net>2016-11-02 11:31:55 +0100
commit7ca2cb5830540deefdc8d6253d4ffd1357f317d7 (patch)
tree89e04503e789943804bb58fe312a265561546872 /testing
parent636265d8d49057b4bf5f9de29633d58c692f780d (diff)
downloadaports-7ca2cb5830540deefdc8d6253d4ffd1357f317d7.tar.gz
aports-7ca2cb5830540deefdc8d6253d4ffd1357f317d7.tar.bz2
aports-7ca2cb5830540deefdc8d6253d4ffd1357f317d7.tar.xz
testing/bspwm: upgrade to 0.9.2
Diffstat (limited to 'testing')
-rw-r--r--testing/bspwm/APKBUILD35
1 files changed, 22 insertions, 13 deletions
diff --git a/testing/bspwm/APKBUILD b/testing/bspwm/APKBUILD
index 16367e3f4a..4ac0c4e7af 100644
--- a/testing/bspwm/APKBUILD
+++ b/testing/bspwm/APKBUILD
@@ -1,37 +1,37 @@
# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Maintainer:
pkgname=bspwm
-pkgver=0.9.1
-pkgrel=1
+pkgver=0.9.2
+pkgrel=0
pkgdesc="Tiling window manager based on binary space partitioning"
url="https://github.com/baskerville/bspwm"
arch="all"
license="BSD"
depends=""
depends_dev=""
-makedepends="libxcb-dev xcb-util-dev xcb-util-wm-dev"
+makedepends="libxcb-dev xcb-util-dev xcb-util-wm-dev xcb-util-keysyms-dev"
install=""
subpackages="
$pkgname-doc
- $pkgname-zsh-completion:zshcomp
- $pkgname-bash-completion:bashcomp"
+ $pkgname-zsh-completion:zshcomp:noarch
+ $pkgname-bash-completion:bashcomp:noarch
+ $pkgname-fish-completions:fishcomp:noarch"
source="$pkgname-$pkgver.tar.gz::https://github.com/baskerville/$pkgname/archive/$pkgver.tar.gz"
-_builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir"/$pkgname-$pkgver
build() {
- make PREFIX=/usr -C "$_builddir" || return 1
+ make PREFIX=/usr -C "$builddir" || return 1
}
package() {
make DESTDIR="$pkgdir" PREFIX=/usr \
- -C "$_builddir" install || return 1
+ -C "$builddir" install || return 1
}
zshcomp() {
depends=""
pkgdesc="Zsh completions for $pkgname"
install_if="$pkgname=$pkgver-r$pkgrel zsh"
- arch="noarch"
mkdir -p "$subpkgdir"/usr/share/zsh/site-functions
mv "$pkgdir"/usr/share/zsh/site-functions/* \
@@ -43,13 +43,22 @@ bashcomp() {
depends=""
pkgdesc="Bash completions for $pkgname"
install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
- arch="noarch"
mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/
mv "$pkgdir"/usr/share/bash-completion/completions/* \
"$subpkgdir"/usr/share/bash-completion/completions/ || return 1
}
-md5sums="716849914454dffdf92f56c9f25892ea bspwm-0.9.1.tar.gz"
-sha256sums="02bb58a307acdec242eb4b8a62764ed53d01c30474dfb1bc09812d943773bb85 bspwm-0.9.1.tar.gz"
-sha512sums="0940e4e024326a903189e6f46fb713eec202f718a02cece56476e6cda147aec6f8c6d6d646879b297b56a385c3b1714069ad204cf5ec0a5d7a0faf40cc45f74b bspwm-0.9.1.tar.gz"
+fishcomp() {
+ pkgdesc="Fish completions for $pkgname"
+ depends=""
+ install_if="$pkgname=$pkgver-r$pkgrel fish"
+
+ mkdir -p "$subpkgdir"/usr/share/fish/completions/
+ mv "$pkgdir"/usr/share/fish/vendor_completions.d/*.fish \
+ "$subpkgdir"/usr/share/fish/completions/ || return 1
+}
+
+md5sums="b877b2a40156bc2b554fcf5b16ae6b56 bspwm-0.9.2.tar.gz"
+sha256sums="33689d138d50f42444820b3a76b84fee7fa3af58e33ad589319c84e51fefdcf0 bspwm-0.9.2.tar.gz"
+sha512sums="fe46d74ecc1ab29caa038d8bb54e13cde8a40e28a014f8b313222db6e8a3323d3ec2103f4ff78008bb0252fa2d560424788ea3be66faaf38a2b8aa3b46b09e2c bspwm-0.9.2.tar.gz"